bitor.hpp File Reference
`#include <msgpack/preprocessor/config/config.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_BITOR(x, y) MSGPACK_PP_BITOR_OO((x, y))
#define | MSGPACK_PP_BITOR_OO(par) MSGPACK_PP_BITOR_I ## par
#define | MSGPACK_PP_BITOR_I(x, y) MSGPACK_PP_BITOR_ID(MSGPACK_PP_BITOR_ ## x ## y)
#define | MSGPACK_PP_BITOR_ID(id) id
#define | MSGPACK_PP_BITOR_00 0
#define | MSGPACK_PP_BITOR_01 1
#define | MSGPACK_PP_BITOR_10 1
#define | MSGPACK_PP_BITOR_11 1

## Macro Definition Documentation

## MSGPACK_PP_BITOR

#define MSGPACK_PP_BITOR | ( |  | x,
|  |  | y
| ) |  | MSGPACK_PP_BITOR_OO((x, y))

## MSGPACK_PP_BITOR_00

#define MSGPACK_PP_BITOR_00 0

## MSGPACK_PP_BITOR_01

#define MSGPACK_PP_BITOR_01 1

## MSGPACK_PP_BITOR_10

#define MSGPACK_PP_BITOR_10 1

## MSGPACK_PP_BITOR_11

#define MSGPACK_PP_BITOR_11 1

## MSGPACK_PP_BITOR_I

#define MSGPACK_PP_BITOR_I | ( |  | x,
|  |  | y
| ) |  | MSGPACK_PP_BITOR_ID(MSGPACK_PP_BITOR_ ## x ## y)

## MSGPACK_PP_BITOR_ID

#define MSGPACK_PP_BITOR_ID | ( |  | id | ) | id

## MSGPACK_PP_BITOR_OO

#define MSGPACK_PP_BITOR_OO | ( |  | par | ) | MSGPACK_PP_BITOR_I ## par